import { BaseEntity } from "typeorm";
declare const MasterTask_base: (abstract new (...args: any[]) => {
    id: number;
}) & (abstract new (...args: any[]) => {
    createdAt: Date;
    updatedAt: Date;
    deletedAt?: Date;
}) & (abstract new (...args: any[]) => {
    status: boolean;
}) & typeof BaseEntity;
export declare class MasterTask extends MasterTask_base {
    type: string;
    cron: string;
    blockNumber: number;
    pid: number;
    data: string;
    panic: boolean;
    active: boolean;
    instant: boolean;
    latestElapsedSecond: string;
    config: string;
    server: string;
    static relations: any[];
    static recursiveRelations: any[];
}
export {};
