import { BaseEntity } from "typeorm";
import { CENTRAL_EXCHANGE_MARKET_QUOTE_SYMBOl } from "./central-exchange-market-quote.constant";
declare const CentralExchangeMarketQuote_base: (abstract new (...args: any[]) => {
    id: number;
}) & (abstract new (...args: any[]) => {
    createdAt: Date;
    updatedAt: Date;
    deletedAt?: Date;
}) & (abstract new (...args: any[]) => {
    status: boolean;
}) & typeof BaseEntity;
export declare class CentralExchangeMarketQuote extends CentralExchangeMarketQuote_base {
    symbol: CENTRAL_EXCHANGE_MARKET_QUOTE_SYMBOl;
    logoLink: string;
    usdRate: string;
    krwRate: string;
    sign: string;
    static relations: any[];
    static recursiveRelations: any[];
}
export {};
