import { TypeOrmCrudService } from "@nestjsx/crud-typeorm";
import { SlaveTask } from "./slave-task.entity";
import { DeepPartial, DeleteResult, EntityManager, FindOperator, FindOptionsWhere, InsertResult, Repository, UpdateResult } from "typeorm";
export declare class SlaveTaskService extends TypeOrmCrudService<SlaveTask> {
    readonly repo: Repository<SlaveTask>;
    private readonly entity;
    private readonly relations;
    private readonly recursiveRelations;
    constructor(repo: Repository<SlaveTask>);
    findOneBy(where?: {
        [K in keyof any]?: any[K] | FindOperator<any[K]>;
    }, manager?: EntityManager): Promise<SlaveTask>;
    findAllBy(where?: {
        [K in keyof any]?: any[K] | FindOperator<any[K]>;
    }, manager?: EntityManager): Promise<SlaveTask[]>;
    createOneBy(params: DeepPartial<SlaveTask>, manager?: EntityManager): Promise<SlaveTask>;
    createAllBy(params: DeepPartial<SlaveTask>[], manager?: EntityManager): Promise<SlaveTask[]>;
    createAllIfNotExistBy(params: DeepPartial<SlaveTask>[], manager?: EntityManager): Promise<InsertResult>;
    updateOneBy(where: FindOptionsWhere<SlaveTask>, set: {
        [K in keyof SlaveTask]?: any;
    }, manager?: EntityManager): Promise<UpdateResult>;
    deleteOneBy(where?: {
        [K in keyof any]?: any[K] | FindOperator<any[K]>;
    }, manager?: EntityManager): Promise<DeleteResult>;
}
